dlaisnan.f(3)

NAME
dlaisnan.f -

SYNOPSIS

  Functions/Subroutines
LOGICAL function DLAISNAN (DIN1, DIN2)
DLAISNAN

Function/Subroutine Documentation

  LOGICAL function DLAISNAN (DOUBLE PRECISIONDIN1, DOUBLE PRECISIONDIN2)

DLAISNAN

Purpose:

     This routine is not for general use.  It exists solely to avoid
     over-optimization in DISNAN.
     DLAISNAN checks for NaNs by comparing its two arguments for
     inequality.  NaN is the only floating-point value where NaN != NaN
     returns .TRUE.  To check for NaNs, pass the same variable as both
     arguments.
     A compiler must assume that the two arguments are
     not the same variable, and the test will not be optimized away.
     Interprocedural or whole-program optimization may delete this
     test.  The ISNAN functions will be replaced by the correct
     Fortran 03 intrinsic once the intrinsic is widely available.

Parameters:
    DIN1

              DIN1 is DOUBLE PRECISION

    DIN2

              DIN2 is DOUBLE PRECISION
              Two numbers to compare for inequality.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 75 of file dlaisnan.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.